<?php
// +--------------------------------------------------------------------------+
// | glFusion CMS                                                             |
// +--------------------------------------------------------------------------+
// | filecheck_data.php                                                       |
// |                                                                          |
// | All valid glFusion directories / files                                   |
// +--------------------------------------------------------------------------+
// | $Id:: filecheck_data.php 5763 2010-03-31 00:16:44Z usableweb            $|
// +--------------------------------------------------------------------------+
// | Copyright (C) 2008-2010 by the following authors:                        |
// |                                                                          |
// | Mark R. Evans          mark AT glfusion DOT org                          |
// | Mark Howard            mark AT usable-web DOT com                        |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | This program is free software; you can redistribute it and/or            |
// | modify it under the terms of the GNU General Public License              |
// | as published by the Free Software Foundation; either version 2           |
// | of the License, or (at your option) any later version.                   |
// |                                                                          |
// | This program is distributed in the hope that it will be useful,          |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
// | GNU General Public License for more details.                             |
// |                                                                          |
// | You should have received a copy of the GNU General Public License        |
// | along with this program; if not, write to the Free Software Foundation,  |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.          |
// |                                                                          |
// +--------------------------------------------------------------------------+

// updated 2009/02/11

if (!defined ('GVERSION')) {
    die ('This file can not be used on its own.');
}

// these file/dir names will be completely ignored, and not checked

$glfIgnore = array('.','..','.svn','CVS','cgi-bin','.htaccess','robots.txt');

// these are the bundled plugins.  they are fully defined/checked as below

$glfPlugins = array(
    'bad_behavior2',
    'calendar',
    'captcha',
    'commentfeeds',
    'filemgmt',
    'forum',
    'links',
    'mediagallery',
    'polls',
    'sitetailor',
    'spamx',
    'staticpages'
);

// glFusion Distribution Directories (as-shipped)

// test: 'R'= must exist, and recurse, 'E'= must exist, but do not recurse
//       'I'= if exists, ignore
// preq:'R' = readable, 'W' = writeable

$glfDir = array(
// private core directories
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/backups' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/data' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/data/layout_cache' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/data/temp' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/language' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/language/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/bbcode' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/email-address-validation' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/feedcreator' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/geshi' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/getid3' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/htmLawed' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/html2text' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/phpmailer' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language' ),
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'private/logs' ),
// bundled plugins
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'private/plugins' ),
// plugin: bad_behavior2
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/templates/custom' ),
// plugin: calendar
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/admin' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/admin/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/weekview' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/weekview/custom' ),
// plugin: captcha
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/class' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/fonts' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/custom' ),
// plugin: commentfeeds
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds' ),
// plugin: filemgmt
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/filemgmt' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/custom' ),
// plugin: forum
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/css' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/include' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/updates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/userprefs' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/userprefs/custom' ),
// plugin: links
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/links' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/links/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/links/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/links/templates/custom' ),
// plugin: mediagallery
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/docs' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/tmp' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/uploads' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/filelist' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/simpleviewer' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/simpleviewer/custom' ),
// plugin: polls
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/polls' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/polls/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/polls/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/admin' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/admin/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/custom' ),
// plugin: sitetailor
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/sitetailor' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/classes' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/custom' ),
// plugin: spamx
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/spamx' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/spamx/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/spamx/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/spamx/templates/custom' ),
// plugin: staticpages
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/staticpages' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/language' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/staticpages/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/admin' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/admin/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/custom' ),
// private core (cont'd)
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/sql' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/sql/updates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/classes' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/classes/authentication' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/classes/authentication/ldap' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/classes/openid' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/classes/syndication' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/databases' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/imglib' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Archive' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Console' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Date' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/HTTP' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/HTTP/Request' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Net' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/OS' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/ChannelFile' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Downloader' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Frontend' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/Generator' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/Parser' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/v2' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/REST' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Postinstallscript' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Replace' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Unixeol' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Windowseol' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Validator' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PHP' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/XML' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/XML/RPC' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'private/system/pear/scripts' ),
// public core
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/include' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/bad_behavior2' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/calendar' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/captcha' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/commentfeeds' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/filemgmt' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/links' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/4images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Coppermine' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Gallery1' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Inmemoriam' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/gallery2' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/geekary' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/gl_story' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/polls' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/css' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/js' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/spamx' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/spamx/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/admin/plugins/staticpages' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/backend' ),
// plugin: bad_behavior2
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/bad_behavior2' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/calendar' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/calendar/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/captcha' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/captcha/class' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/images' ),
// fckeditor
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/behaviors' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about/sponsors' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_docprops' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_flash' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_image' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_link' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_scayt' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_select' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dtd' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/js' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/js' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/autogrow' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode/_sample' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/css' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/jscripts' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/langs' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/dragresizetable' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/css' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/jscripts' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/langs' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/simplecommands' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/tablecommands' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/css' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/jscripts' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/langs' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/templates' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/wsc' ),
// plugin: filemgmt
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/filemgmt' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/filemgmt/images' ),
// filemgmt_data can move around, we need more logic here
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'public_html/filemgmt_data' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/filemgmt_data/category_snaps' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/filemgmt_data/category_snaps/tmp' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/filemgmt_data/files' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/filemgmt_data/files/tmp' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/filemgmt_data/snaps' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/filemgmt_data/snaps/tmp' ),
// plugin: forum
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/images/badges' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/images/icons' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/images/moods' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/forum/javascript' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/forum/media' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/forum/media/tn' ),
// public core (cont'd)
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/help' ),
// public core images directories
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'public_html/images' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/articles'),
// NOTE: this can all be affected by siteconfig.php value of $_CONF_FCK['imagelibrary']
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/library' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/library/File' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/library/Flash' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/library/Image' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/library/Media' ),
 // NOTE: this can all be affected by siteconfig.php value of $_CONF_FCK['imagelibrary']
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/menu' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/topics' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/images/translations' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/images/userphotos' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/javascript' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/javascript/mootools' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout' ),
// nouveau
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/common' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/common/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/group' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/group/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/mail' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/mail/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/story' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/story/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/syndication' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/syndication/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/topic' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/topic/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/article' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/article/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/bbcode' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/bbcode/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/custom' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/moosimplebox' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/js' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/custom' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback/custom' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/custom' ),
// plugin: links
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/links' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/links/images' ),
// plugin: mediagallery
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbook' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/images' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/js' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/covers' ),
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/0' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/1' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/2' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/3' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/4' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/5' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/6' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/7' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/8' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/9' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/a' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/b' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/c' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/d' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/e' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/disp/f' ),
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/0' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/1' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/2' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/3' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/4' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/5' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/6' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/7' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/8' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/9' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/a' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/b' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/c' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/d' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/e' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/orig/f' ),
    array( 'test' => 'R', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/0' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/1' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/2' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/3' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/4' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/5' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/6' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/7' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/8' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/9' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/a' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/b' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/c' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/d' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/e' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'public_html/mediagallery/mediaobjects/tn/f' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/watermarks' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/players' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/mediagallery/swfupload' ),
// plugin: polls
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/polls' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/polls/images' ),
// plugin: staticpages
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/staticpages' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/staticpages/images' ),
// public core (cont'd)
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/webservices' ),
    array( 'test' => 'R', 'preq' => 'R', 'path' => 'public_html/webservices/atom' ),
);

// test: 'E'=must exist
// preq: 'R' = readable, 'W' = writeable

$glfFile = array(
// private core
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/INSTALL' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/backups/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/backups/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/data/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/data/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/data/layout_cache/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/data/temp/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/db-config.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/db-config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/emailglfusionstories' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/filecheck_data.php' ),
    // language files (we only look for the essentials)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/language/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/language/english_utf-8.php' ),
// private core (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/ZipLib.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/bbcode/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/bbcode/stringparser.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/bbcode/stringparser_bbcode.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/email-address-validation/EmailAddressValidator.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/email-address-validation/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/feedcreator/feedcreator.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/feedcreator/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/abap.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/actionscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/actionscript3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/ada.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/apache.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/applescript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/apt_sources.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/asm.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/asp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/autoit.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/bash.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/basic4gl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/blitzbasic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/bnf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/boo.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/c.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/c_mac.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/caddcl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cadlisp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cfdg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cfm.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cil.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cobol.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cpp-qt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/cpp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/csharp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/css-gen.cfg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/css.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/d.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/delphi.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/diff.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/div.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/dos.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/dot.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/eiffel.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/fortran.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/freebasic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/genero.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/gettext.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/glsl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/gml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/gnuplot.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/groovy.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/haskell.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/html4strict.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/idl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/ini.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/inno.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/io.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/java.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/java5.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/javascript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/kixtart.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/klonec.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/klonecpp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/latex.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/lisp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/lotusformulas.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/lotusscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/lua.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/m68k.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/matlab.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/mirc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/mpasm.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/mxml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/mysql.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/nsis.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/objc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/ocaml-brief.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/ocaml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/oobas.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/oracle8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/pascal.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/per.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/perl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/php-brief.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/php.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/pic16.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/plsql.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/povray.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/powershell.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/progress.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/python.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/qbasic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/rails.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/reg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/robots.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/ruby.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/sas.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/scala.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/scheme.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/sdlbasic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/smalltalk.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/smarty.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/sql.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/tcl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/text.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/thinbasic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/tsql.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/typoscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/vb.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/vbnet.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/verilog.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/vhdl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/visualfoxpro.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/winbatch.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/xml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/xorg_conf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/xpp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi/z80.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/geshi/geshi.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/changelog.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/dependencies.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/extension.cache.dbm.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/extension.cache.mysql.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/getid3.lib.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/getid3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/license.commercial.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/license.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.archive.gzip.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.archive.rar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.archive.szip.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.archive.tar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.archive.zip.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.asf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.bink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.flv.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.matroska.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.mpeg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.nsv.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.quicktime.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.real.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.riff.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio-video.swf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.aac.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.ac3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.au.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.avr.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.bonk.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.dts.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.flac.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.la.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.lpac.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.midi.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.mod.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.monkey.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.mp3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.mpc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.ogg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.optimfrog.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.rkau.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.shorten.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.tta.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.voc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.vqf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.wavpack.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.audio.dss.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.bmp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.gif.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.jpg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.pcd.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.png.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.svg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.graphic.tiff.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.misc.doc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.misc.exe.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.misc.iso.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.misc.msoffice.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.misc.par2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.misc.pdf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.tag.apetag.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.tag.id3v1.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.tag.id3v2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/module.tag.lyrics3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/readme.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/structure.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.apetag.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.id3v1.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.id3v2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.lyrics3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.metaflac.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.real.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/getid3/write.vorbiscomment.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/html2text/html2text.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/htmLawed/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/htmLawed/htmLawed.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/LICENSE' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/class.phpmailer.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/class.pop3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/class.smtp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-br.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-ca.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-cz.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-de.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-dk.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-en.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-es.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-et.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-fi.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-fo.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-fr.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-hu.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-it.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-ja.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-nl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-no.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-pl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-ro.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-ru.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-se.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/lib/phpmailer/language/phpmailer.lang-tr.php' ),
// logs
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/logs/index.html' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/logs/access.log' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/logs/captcha.log' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/logs/error.log' ),
    array( 'test' => 'E', 'preq' => 'W', 'path' => 'private/logs/spamx.log' ),
// plugin: bad_behavior2
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/bad_behavior2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/templates/entry.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/templates/log.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/templates/logitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/bad_behavior2/upgrade.php' ),
// plugin: calendar
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/calendar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/language/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/addevent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/addeventoption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/addremoveevent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/admin/batchadmin.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/admin/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/admin/eventeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/calendar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/calendarday.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/calendarevent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/calendarweek.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview/column.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview/dayview.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview/quickaddform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/dayview/singleevent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/editpersonalevent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/eventdetails.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/events.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/mastercalendaroption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/personalcalendaroption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/submitevent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/weekview/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/weekview/events.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/templates/weekview/weekview.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/calendar/upgrade.php' ),
// plugin: captcha
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/captcha.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/class/captcha.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/class/error.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/class/filter.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/class/recaptchalib.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg0.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg0.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg1.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg2.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg3.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg4.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg5.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg6.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg7.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg7.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg8.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg8.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/backgrounds/bg9.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/fonts/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/fonts/bluehigl.ttf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/fonts/typewriterA602.ttf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/fonts/zombnze.ttf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/0EYP0S.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/1F770D.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/28XOYI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/2LDUMD.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/47TXJC.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/4ITVAP.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/4JKOGQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/5E66T1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/5LSG1C.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/6URYYP.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/7G1AG0.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/7GZY5S.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/7Q2WOZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/7SMW7J.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/83EY3L.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/8C99ZZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/8MNIAX.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/8N91KL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/8NFLWQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/8RL5MD.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/9KR3EJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/BI1ZCZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/BPHOX9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/BRWLVK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/BZTIGV.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/C0HK4F.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/C2QOUK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/CFE1YM.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/CJANGI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/CQY9FX.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/CXUH5S.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/CYO0Y1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/DHGFOZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/DQFRUI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/DUZCN2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/E5SZ52.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/ECGLOZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/EE37I4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/ELWSDN.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/F6A0KP.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/F7VU1K.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/FZAL8O.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/G5DCR5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/G9J7VC.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/GBHHGT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/GFACI5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/GP6LL9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/GXIRNW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/H5FLY1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/HH0NAF.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/HWYMU6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/I0VFY9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/I0W79K.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/I121OQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/I1AZAU.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/I7CQIR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/IIOGVW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/IKF3O4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/IKJM7C.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/INNH12.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/IO0H0L.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/IWXXTN.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/J7XDFF.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/JF4UH8.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/JSMSI9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/K1LUBX.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/K55DZL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/KIFH52.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/KVKZU2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/L3QMM1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/LRW7O3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/MFWUDW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/ML976T.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/N1KL1P.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/O3UV7A.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/OB87BK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/ODH566.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/OE8PKO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/OOHUIW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/PSWO3K.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/PZ4CS0.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/Q1PAGZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/R8OVM4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/RAKUHA.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/SK908O.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/TDGQSM.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/TG3ZTE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/U4IG9B.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/U5R7PW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/UJ97BE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/VANJZK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/VN6QKH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/VPLW5R.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/VTZDK1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/VUYFUH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/WJDUK2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/WP0QYS.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/XDIYL2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/XUKG66.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/YE9U9N.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/YQ73D3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/YTWL2C.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/ZNF56M.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/ZYO016.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/default/imageset.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/28W35R.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/2H54BP.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/2ODBIK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/2OHTB6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/2UN2T4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/2Y3NI3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/329C4E.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/34FAIL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/38U3LL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/3G9FNT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/3TUZJ5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/3V3GMY.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/3V8BLH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/3Z6SK9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/459992.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/49BO96.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/4H822P.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/4KIPVR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/4LA3H3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/4MMRBL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/4XRB9L.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/53ZZPJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/56PMYX.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/58JZ9A.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/58ON5H.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/5MJ9N9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/5NMMFE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/5SFQCO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/5WHXMU.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/67ZXOX.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/6C66Q2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/6CNFKI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/6FIMTD.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/6NGIKQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/6O6VB4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/77FUGQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/7RBU2D.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/87G9RH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/8NVPY8.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/8Q6GV2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/8STMHC.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/8VE4O2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/93JAMW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/93YKM2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/95U7H6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/9EWAEL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/9PKLDW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/9TERC6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/A3V3KJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/A6T4IB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/AGMYWR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/AGTHBU.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/AL4HCB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/AQ6NB4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/ASJ87E.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/AUYLWL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/AX6KYY.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/B6XKWH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/B79HEZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/BAEOW7.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/BC4TOH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/BJ6LFG.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/BN7ZRO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/BQLNW6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/C949YY.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/CECTCH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/CRRE6H.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/CWOTHO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/CXXJTI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/D37T48.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/D3NZL3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/DDKKSL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/DDLFG4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/DIKHR8.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/DOUBU3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/DSM83V.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/E3BDIT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/E6VWIQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/EIP9PC.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/EMXJY9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/EN9YX2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/ERMUJA.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/ETSXD5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/EWQ6A3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/FCWVWD.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/FDTCIL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/FEOBB7.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/FOSL9J.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/FUMH29.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/G26ZP5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/G3SF8M.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/G6XV2R.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/G7KUX9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/G8WAR9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/GCOLK5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/GJHB5R.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/GJQ3G5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/GLIMR5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/GU7V62.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/HI93J3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/HOG2BL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/HU799L.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/IGG7UF.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/ISX372.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/IXZZLY.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/IY5KJV.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/J6CMM3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/J7WP7J.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/JBTJF3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/JFZLL3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/JQWJLK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/JSZCHO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/JY8MM4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/K2KHPK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/K6NE8U.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/KCDNFJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/KEIS6E.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/KEM9SG.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/KN4989.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/KO4RC7.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/KV63PE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/L234QN.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/L43JG4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/L7U3BI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/LJHH4H.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/LWSOOJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/MCZKYO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/MOC7DS.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/MZTZY4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/NC7P9O.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/NNPS6I.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/NVJBSZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/O48FJE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/O6T8IF.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/O6WTME.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/OCYIRC.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/OU86ZK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/P6GGZJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/PBP2Q4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/PBRNUG.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/PCFBTY.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/PTYHWT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q3B6MJ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q5WE5N.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q6QRRQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q88EAE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q8PCFZ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q8TKZ9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Q9F2JQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/QGT2FA.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/QPDO77.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/QRSZCL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/QZJ6RF.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/RAEJRW.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/RB8JS2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/RKHHNN.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/RMAV6A.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/RNAZST.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/RNZO9K.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/S4TF7B.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/SBO3VK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/SIKZ54.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/SNOGA2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/SQ4IMD.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/STU4JI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/TRQPRG.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/U2QXNT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/U6G79E.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/UIATQY.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/UQUIIR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/UX46L9.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/VDNZQE.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/VHOI4X.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/VJB6ZG.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/VLAV3W.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/VZK7RT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/W37HUI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/W9IWIN.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/W9PMYN.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/WOG89D.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/WPDXTB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/WTIK8Z.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/WUEVL6.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/X553A4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/XEDHGI.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/XMG3RK.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/XMTPRR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/XUGAHV.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/XXRD7B.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YHFA7O.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YJL787.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YLAMYH.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YO4ODC.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YSOYZQ.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YV9UVB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YYHLY8.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/YZU4BO.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/Z6J85P.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/ZQJOTV.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/ZRTIL5.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/images/static/simple/imageset.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/admin.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/administration.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_calendar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_comment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_contact.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_emailstory.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_forum.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_links.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_mediagallery.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_registration.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/captcha_story.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/templates/install.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/captcha/upgrade.php' ),
// plugin: commentfeeds
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/commentfeeds.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/config.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/license' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/commentfeeds/upgrade.php' ),
// plugin: filemgmt
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/config.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/filemgmt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include/dlformat.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include/errorhandler.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include/functions.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include/header.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include/textsanitizer.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/include/xoopstree.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/admin.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/admin.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/blank.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/filelisting.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/filelisting_category.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/filelisting_record.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/filelisting_subcategory.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/notifyemail.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/index.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/install.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/install.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/templates/sortmenu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/filemgmt/upgrade.php' ),
// plugin: forum
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/config.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/css/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/debug.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/forum.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/include/gf_format.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/include/gf_showtopic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/include/include_html.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/include/lib-uploadfiles.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/js/mootips.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/updates/mysql_1.0_to_2.0.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/updates/mysql_2.0_to_2.2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/updates/mysql_2.2_to_2.3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/updates/mysql_2.3_to_2.3RC4.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/sql/updates/mysql_2.3_to_2.5RC1.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/signature_profile.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/phpbb3_migrate_db.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/phpbb3_migrate_confirm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/rating_board_categories.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/rating_board_forums.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/rating_bottom.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/banip_mgmt.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/board_categories.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/board_forums.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/boards.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/boards_delete.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/boards_edtcategory.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/boards_edtforum.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/index.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/ip_records.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/ips.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/ips_unban.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/message_line.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/messages.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/migrate_records.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/migratestories.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/mod_add.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/mod_record.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/moderators.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/radiosetting_option.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/ranksetting_option.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/setting_option.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/settings.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/admin/textsetting_option.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/alertmsg.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blockfooter.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blockheader.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks/block_displayline.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks/centerblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks/centerblock_displayline.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/blocks/latestpostsblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/categorylisting.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/forum_legend.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/forum_rules.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/forum_time.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/footer/forum_users.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/forum_jump.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/forum_outline_footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/forum_outline_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/forum_search.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/forumlisting_record.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/gettopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/homepage.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/edittopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/email.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/markread.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/newposts.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/newtopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/nexttopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/pm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/prevtopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/print.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/profile.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/quotetopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/replytopic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/return.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples/email.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples/pm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples/profile.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/rollover_examples/website.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/subscribe.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/subscribe_forum.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/links/website.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/mod_confirm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/navbar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/notifymessage.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/notifymessage_text.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/post_topic_navbar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/blank.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/email.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/lastposts.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/memberlist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/memberlist_line.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/memberlist_link.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/notifications.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/notifications_line.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/pm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/report_record.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/report_results.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/reports/website.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/singlecategorylisting.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/smilies.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/statusmessage.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/submissionform_anontop.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/submissionform_code.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/submissionform_main.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/submissionform_main_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/submissionform_membertop.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/submissionform_moods.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topic-left.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topic_navbar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topicfooter.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topicfooter_preview.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topiclist_record.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topiclisting.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topicpreview_footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/topicpreview_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/userprefs/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/userprefs/navbar.thtml.delete' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/userprefs/user_settings.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/templates/userprefs/profile_user_settings.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/forum/upgrade.php' ),
// plugin: links
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/language/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/links.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin/categoryeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin/categorylist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin/catitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/admin/linkeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/categoryactivecol.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/categorycol.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/categorydropdown.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/categorylinks.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/categorynavigation.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/categoryrow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/linkdetails.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/links.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/pagenavigation.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/templates/submitlink.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/links/upgrade.php' ),
// plugin: mediagallery
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/UPGRADE' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/config.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/climport.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/docs/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/JPEG.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/albumedit.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/batch.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/caption.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/classAlbum.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/classFrame.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/classMedia.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/exif.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/ftpmedia.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/global.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/lib-batch.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/lib-exif.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/lib-media.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/lib-upload.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/lib-watermark.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/canon.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/fujifilm.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/gps.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/nikon.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/olympus.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/panasonic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/makers/sanyo.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/mediamanage.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/mgindex.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/moderate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/newmedia.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/rebuild.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/remote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/rotate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/rssfeed.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/include/sort.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/mediagallery.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/staticpage.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/administration.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_album_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_album_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell_comment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell_keywords.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell_podcast.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell_rating.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_body_media_cell_view.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/album_page_noitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/albumblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/albumrow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/asf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/autotag.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/autotag_nb.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/autotag_ss.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/batch_caption_edit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/batch_caption_media_items.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/batch_percent.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/batch_progress.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/cat_noitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/category.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/catitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/cb_featured_album.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/cb_featured_album.thtml.2' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/cfgedit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/cleanlist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/confirm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/convert_4images_settings.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/convert_inmemoriam.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/createmembers.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/deletealbum.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/digibug.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_album_perm_member.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_album_permissions.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_asf_options.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_flv_options.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_mov_options.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_mp3_options.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/edit_swf_options.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editalbum.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editalbum_admin.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editalbum_formats.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editavdefaults.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editcategory.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editdefaults.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/editmember.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/embed.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/enroll.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/envcheck.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/error.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/exif_detail.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/exif_tags.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/export.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/featured_album.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/filecheck.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/filelist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/flvfp.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/flvmg.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/flvpopup.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/fsat.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/fslideshow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/ftpimport.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/ftpupload.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page_body_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page_body_2.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page_body_3.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page_footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gallery_page_noitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/getcard.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/gl_story_import.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/global_album_attr.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/global_album_perm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/import_config_dir.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/import_coppermine.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/import_gallery2_parms.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/import_gallery_dir.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/import_select_items.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/install.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/massdelete.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mediablock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mediaedit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mediaitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/medialink.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mediamanage.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mediarow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mg_navigation.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/modemail.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/moderate.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mp3_podcast.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mp3_qt.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mp3_swf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/mp3_wmp.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/pc-error.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/pc_edit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/pc_preview.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/playall_xspf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/postcard.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/profile_userprefs.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/property.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/purgealbums.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/quicktime.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/quotaconfirm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/quotareport.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/random_block.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/remoteupload.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/rssedit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/search.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/search_results.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/search_results2.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/sess_noitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/sessions.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/sessitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/slideshow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/slideshow_empty.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/sortalbum.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/staticsort.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/staticsortalbums.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/staticsortmedia.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/success.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/swf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/swfupload.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/swfobject.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/album_page.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/album_page_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/album_page_body_album_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/album_page_body_media_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/album_page_footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/album_page_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/view_audio.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/view_image.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/clean/view_video.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/filelist/album_page_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/filelist/album_page_body_album_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/filelist/album_page_body_album_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/filelist/album_page_body_media_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/filelist/album_page_body_media_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox/album_page_body_media_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox/album_page_body_media_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox/album_page_body_media_cell_comment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/lightbox/medialink.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/album_page_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/album_page_body_album_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/album_page_body_album_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/album_page_body_media_cell.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/album_page_body_media_cell_1.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/podcast/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/simpleviewer/album_page_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/simpleviewer/album_page_footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/simpleviewer/album_page_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/themes/simpleviewer/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/thumbs.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/upload.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/usage_menu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/usage_rpt.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/useredit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/userprefs.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/userupload.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/useruploadstatus.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_asf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_audio.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_flv.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_flv_light.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_flv_light_stream.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_image.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_image_detail.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_mp3_flv.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_mp3_qt.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_mp3_swf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_mp3_wmp.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_quicktime.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_swf.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/view_video.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/wm_upload.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/wmitems.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/wmmanage.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/xpcreate.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/xplist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/xplogin.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/xppublish.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/templates/xspf_radio.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/tmp/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/upgrade.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/mediagallery/uploads/README' ),
// plugin: polls
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/language/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/polls.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/admin/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/admin/pollansweroption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/admin/polleditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/admin/pollquestions.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollanswer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollcomments.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/polllist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollquestion.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollquestions.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollresult.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollvotes_bar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/templates/pollvotes_num.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/polls/upgrade.php' ),
// plugin: sitetailor
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/classes/classMenuElement.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/config.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/sitetailor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/animate.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/clonemenu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/createelement.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/createmenu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/editelement.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/editmenu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/gl_horizontal-cascading.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/gl_horizontal-simple.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/gl_vertical-cascading.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/gl_vertical-simple.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/install.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/logo.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/menuconfig.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/menulist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/templates/menutree.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/sitetailor/upgrade.php' ),
// plugin: spamx
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/BaseAdmin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/BaseCommand.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/BlackList.Examine.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/DeleteComment.Action.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/Developer.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/EditBlackList.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/EditHeader.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/EditIP.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/EditIPofURL.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/Header.Examine.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/IP.Examine.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/IPofUrl.Examine.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/LogView.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/MailAdmin.Action.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/MassDelTrackback.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/MassDelete.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/SLV.Examine.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/SLVbase.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/SLVreport.Action.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/SLVwhitelist.Admin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/spamx.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/templates/admin.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/templates/install.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/spamx/upgrade.php' ),
// plugin: staticpages
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/autoinstall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/functions.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/install_defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/language/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/language/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/language/english_utf-8.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/plugin.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/services.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/sql/mysql_install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/staticpages.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/admin/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/admin/editor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/admin/editor_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/centerblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/printable.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/spcomments.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/templates/staticpage.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/plugins/staticpages/upgrade.php' ),
// private core (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/readme' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/default_content.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/mysql_tableanddata.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/mysql_1.0.1_to_1.1.0.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/mysql_1.1.2_to_1.1.3.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/mysql_1.1.3_to_1.1.4.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/mysql_1.1.4_to_1.1.5.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/mysql_1.1.6_to_1.1.7.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/sql/updates/geeklog_mysql_1.4.1_to_1.5.0.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/authentication/LDAP.auth.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/authentication/LiveJournal.auth.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/authentication/ldap/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/calendar.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/config.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/conversion.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/downloader.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/listfactory.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/navbar.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/COPYING' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/LICENSE' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/association.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/consumer.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/httpclient.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/interface.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/oid_parse.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/oid_util.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/server.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/trustroot.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openidhelper.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/plugin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/sanitize.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/search.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/searchcriteria.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/searchplugin.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/story.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/atom.feed.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/feedparserbase.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/parserfactory.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/rdf.feed.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/rss.feed.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/ics.feed.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/template.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/timezoneconfig.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/timer.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/upload.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/url.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/databases/mssql.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/databases/mysql.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/imglib/gd_image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/imglib/im_image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/imglib/lib-image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/imglib/pbm_image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-admin.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-bbcode.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-comment.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-compatibility.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-custom.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-custom.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-database.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-glfusion.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-mbyte.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-pingback.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-plugins.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-rating.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-security.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-sessions.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-story.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-syndication.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-trackback.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-user.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-webservices.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/lib-widgets.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/memberdetail.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Archive/Tar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Console/Getopt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Date/Calc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Date/Human.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Date/Span.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Date/TimeZone.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Date.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/HTTP/Request/Listener.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/HTTP/Request.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/Header.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/Packet.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/Question.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/A.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/AAAA.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/CNAME.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/HINFO.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/MX.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/NAPTR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/NS.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/PTR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/SOA.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/SRV.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/TSIG.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR/TXT.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/RR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS/Resolver.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/DNS.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/SMTP.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/Socket.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Net/URL.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/OS/Guess.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Autoloader.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Builder.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/ChannelFile/Parser.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/ChannelFile.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Auth.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Auth.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Build.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Build.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Channels.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Channels.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Common.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Config.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Install.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Mirror.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Mirror.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Package.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Package.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Pickle.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Pickle.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Registry.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Registry.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Remote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Remote.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Test.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command/Test.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Command.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Common.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Dependency.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Dependency2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/DependencyDB.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Downloader/Package.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Downloader.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/ErrorStack.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Exception.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/FixPHP5PEARWarnings.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Frontend/CLI.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Frontend.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Cfg.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Cfg.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Common.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Data.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Data.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Doc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Doc.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Ext.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Ext.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Php.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Php.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Script.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Script.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Src.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Src.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Test.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Test.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Www.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role/Www.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer/Role.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Installer.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/Generator/v1.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/Generator/v2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/Parser/v1.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/Parser/v2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/v1.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/v2/Validator.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/v2/rw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile/v2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/PackageFile.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Packager.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/REST/10.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/REST/11.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/REST/13.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/REST.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Registry.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Remote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/RunTest.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Common.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Postinstallscript/rw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Postinstallscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Replace/rw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Replace.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Unixeol/rw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Unixeol.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Windowseol/rw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Task/Windowseol.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Validate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/Validator/PECL.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR/XMLParser.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PEAR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Components.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/DIRECTORY_SEPARATOR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/E_STRICT.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/FILE.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/PATH_SEPARATOR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/PHP_EOL.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/STD.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/T.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Constant/UPLOAD_ERR.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_change_key_case.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_chunk.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_combine.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_diff_assoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_diff_key.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_diff_uassoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_diff_ukey.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_intersect_assoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_intersect_key.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_intersect_uassoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_intersect_ukey.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_key_exists.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_product.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_search.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_udiff.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_udiff_assoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_udiff_uassoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_uintersect.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_uintersect_assoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_uintersect_uassoc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/array_walk_recursive.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/bcinvert.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/bcpowmod.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/call_user_func_array.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/clone.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/constant.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/convert_uudecode.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/convert_uuencode.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/debug_print_backtrace.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/file_get_contents.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/file_put_contents.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/floatval.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/fprintf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/fputcsv.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/get_headers.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/get_include_path.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/html_entity_decode.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/htmlspecialchars_decode.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/http_build_query.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/ibase_timefmt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/idate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/image_type_to_mime_type.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/inet_ntop.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/inet_pton.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/ini_get_all.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/is_a.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/md5_file.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/mhash.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/mime_content_type.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/ob_clean.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/ob_flush.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/ob_get_clean.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/ob_get_flush.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/pg_affected_rows.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/pg_escape_bytea.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/pg_unescape_bytea.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/php_strip_whitespace.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/restore_include_path.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/scandir.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/set_include_path.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/str_ireplace.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/str_rot13.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/str_shuffle.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/str_split.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/str_word_count.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/stripos.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/strpbrk.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/strripos.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/substr_compare.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/time_sleep_until.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/var_export.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/version_compare.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/vprintf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat/Function/vsprintf.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/PHP/Compat.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/System.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Default.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Anchor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Blockquote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Bold.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Break.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Center.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Code.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Colortext.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Deflist.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Delimiter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Embed.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Emphasis.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Freelink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Function.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Heading.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Horiz.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Html.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Include.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Interwiki.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Italic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/List.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Newline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Paragraph.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Phplookup.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Prefilter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Raw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Revise.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Smiley.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Strong.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Subscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Superscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Table.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Tighten.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Toc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Tt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Underline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Url.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse/Default/Wikilink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Parse.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Anchor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Blockquote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Bold.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Box.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Break.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Center.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Code.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Colortext.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Deflist.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Delimiter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Embed.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Emphasis.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Font.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Freelink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Function.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Heading.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Horiz.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Html.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Include.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Interwiki.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Italic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/List.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Newline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Page.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Paragraph.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Phplookup.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Plugin.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Prefilter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Preformatted.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Raw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Revise.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Smiley.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Specialchar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Strong.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Subscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Superscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Table.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Tighten.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Titlebar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Toc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Tt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Underline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Url.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex/Wikilink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Latex.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Anchor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Blockquote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Bold.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Box.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Break.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Center.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Code.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Colortext.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Deflist.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Delimiter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Embed.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Emphasis.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Font.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Freelink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Function.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Heading.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Horiz.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Html.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Include.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Interwiki.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Italic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/List.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Newline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Page.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Paragraph.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Phplookup.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Plugin.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Prefilter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Preformatted.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Raw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Revise.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Smiley.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Specialchar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Strong.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Subscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Superscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Table.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Tighten.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Titlebar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Toc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Tt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Underline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Url.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain/Wikilink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Plain.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Address.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Anchor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Blockquote.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Bold.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Box.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Break.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Center.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Code.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Colortext.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Deflist.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Delimiter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Embed.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Emphasis.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Font.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Freelink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Function.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Heading.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Horiz.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Html.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Image.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Include.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Interwiki.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Italic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/List.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Newline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Page.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Paragraph.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Phplookup.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Plugin.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Prefilter.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Preformatted.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Raw.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Revise.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Smiley.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Specialchar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Strong.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Subscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Superscript.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Table.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Tighten.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Titlebar.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Toc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Tt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Underline.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Url.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml/Wikilink.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render/Xhtml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki/Render.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/Text/Wiki.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/XML/RPC/Dump.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/XML/RPC/Server.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/XML/RPC.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/pear.bat' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/pear.sh' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/pearcmd.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/peardev.bat' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/peardev.sh' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/pecl.bat' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/pecl.sh' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/scripts/peclcmd.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/authentication/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/authentication/ldap/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/openid/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/classes/syndication/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/databases/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/imglib/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'private/system/pear/index.html' ),
// public core files
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/404.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/rater.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/rater_rpc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/auth.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/block.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/clearctl.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/configuration.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/database.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/envcheck.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/filecheck.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/group.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/index.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/config-install.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/configinfo.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/dvlpupdate.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/fusionrescue.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/help.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/include/install.lib.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/include/template-lite.class.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/index.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/info.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/install.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/bulgarian.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/chinese_simplified_utf-8.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/chinese_traditional_utf-8.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/dutch.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/english.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/english_utf-8.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/german.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/indonesian.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/index.html' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/polish.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/polish_utf-8.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/spanish_utf-8.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/language/swedish_utf-8.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/arrow-back.gif' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/arrow-next.gif' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/arrow-recheck.gif' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/gl_moopngfix.js' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/ie6.css' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/ie7.css' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/mootools-release-1.11.packed.js' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/arrow_down.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/arrow_open.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/top.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/error.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/bottom-l-corner.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/bottom-r-corner.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/gl_moomenu1-bg.gif' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/header-bg.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/index.html' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/installlogo.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/style.css' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/top-l-corner.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/top-r-corner.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/arrow.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/check.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/help.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/steplist-bottom.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/steplist-repeat.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/layout/steplist-top.png' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/success.php' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/checkenvironment.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/contentplugins.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/geeklogpathsetting.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/languagetask.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/pathsetting.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/siteinformation.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/error.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/footer.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/templates/header.thtml' ),
    array( 'test' => 'I', 'preq' => 'R', 'path' => 'public_html/admin/install/toinnodb.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/logview.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/mail.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/moderation.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugin_upload.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/bad_behavior2/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/bad_behavior2/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/calendar/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/calendar/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/captcha/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/captcha/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/commentfeeds/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/commentfeeds/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/filemgmt/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/filemgmt/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/import.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/phpbb3_migrate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/rating.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/userrating.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/userrating_detail.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/boards.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/gf_functions.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/ips.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/messages.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/migrate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/mods.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/resyncall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/forum/settings.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/links/category.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/links/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/links/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/avdefaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/category.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/cfgedit.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/check.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/createmembers.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/defaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/dvlpupdate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/edituser.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/envcheck.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/exif_admin.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/export.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/4images/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Coppermine/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Gallery1/Gallery1DataParser.class' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Gallery1/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/Inmemoriam/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/gallery2/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/geekary/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/gl_story/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/importers/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/install_doc.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/logview.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/maint.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/massdelete.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/member.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/navigation.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/purgealbums.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/queue.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/quota.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/quotareport.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/redX.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/resetdefaults.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/resetmembers.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/rss.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/rssrebuild.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/sessions.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/staticsortalbums.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/staticsortmedia.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/success.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/usage_rpt.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/mediagallery/xppubwiz.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/polls/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/polls/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/css/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/css/mooRainbow.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/getorder.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/blank.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/check.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/delete.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/down.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/edit.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/info.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/moor_arrows.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/moor_boverlay.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/moor_cursor.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/moor_slider.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/moor_woverlay.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/rainbow.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/sitetailor-menubuilder.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/sitetailor.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/images/up.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/js/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/js/mooRainbow.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/logo.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/sitetailor/menu.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/spamx/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/spamx/images/spamx.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/spamx/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/spamx/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/staticpages/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins/staticpages/install.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/plugins.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/prefeditor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/resetrating_rpc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/sectest.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/story.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/syndication.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/topic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/trackback.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/admin/user.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/article.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/backend/glfusion.rss' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/backend/index.html' ),
// plugin: bad_behavior2
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/README.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/banned.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/blackhole.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/blacklist.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/common_tests.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/core.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/functions.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/google.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/housekeeping.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/konqueror.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/lynx.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/movabletype.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/mozilla.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/msie.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/msnbot.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/opera.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/post.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/responses.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/safari.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/screener.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/trackback.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/version.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior/whitelist.inc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/bad-behavior-glfusion.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/images/bad_behavior2.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/bad_behavior2/index.html' ),
// plugin: calendar
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/calendar/event.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/calendar/images/calendar.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/calendar/images/delete_event.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/calendar/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/calendar/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/calendar/style.css' ),
// plugin: captcha
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/captcha/captcha.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/captcha/captcha.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/captcha/reload.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/captcha/class/captcha.class.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/captcha/class/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/captcha/index.html' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/comment.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/css.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/directory.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/ChangeLog' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/docstyle.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/calendar.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/captcha.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/config.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/filemgmt.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/forum.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/install.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/images/background.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/license' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/links.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/polls.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/spamx.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/staticpages.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/docs/english/trackback.html' ),
// fckeditor
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/_documentation.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/_upgrade.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/_whatsnew.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/_whatsnew_history.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckcontextmenu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdataprocessor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdocumentfragment_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdocumentfragment_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdomrange.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdomrange_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdomrange_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckdomrangeiterator.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckeditingarea.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckelementpath.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckenterkey.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckevents.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckhtmliterator.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckicon.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckiecleanup.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckimagepreloader.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckkeystrokehandler.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckmenublock.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckmenublockpanel.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckmenuitem.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckpanel.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckspecialcombo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckstyle.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbar.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarbreak_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarbreak_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarbutton.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarbuttonui.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarfontformatcombo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarfontscombo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarfontsizecombo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarpanelbutton.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarspecialcombo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fcktoolbarstylecombo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckw3crange.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckxml.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckxml_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/fckxml_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/classes/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fck_othercommands.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckblockquotecommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckcorestylecommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckfitwindow.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckindentcommands.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckjustifycommands.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fcklistcommands.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fcknamedcommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckpasteplaintextcommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckpastewordcommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckremoveformatcommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckshowblocks.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckspellcheckcommand_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckspellcheckcommand_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fckstylecommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fcktablecommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/fcktextcolorcommand.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/commandclasses/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/fckconstants.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/fckeditorapi.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/fckjscoreextensions.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/fckscriptloader.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fck.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckscayt.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fck_contextmenu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fck_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fck_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckbrowserinfo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckcodeformatter.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckcommands.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckconfig.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckdebug.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckdebug_empty.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckdialog.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckdocumentprocessor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckdomtools.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcklanguagemanager.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcklisthandler.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcklistslib.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckplugins.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckregexlib.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckselection.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckselection_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckselection_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckstyles.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktablehandler.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktablehandler_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktablehandler_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktoolbaritems.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktoolbarset.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktools.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktools_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fcktools_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckundo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckurlparams.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckxhtml.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckxhtml_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckxhtml_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/fckxhtmlentities.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/_source/internals/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/behaviors/disablehandles.htc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/behaviors/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/behaviors/showtableborders.htc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/fck_editorarea.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/fck_internal.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/fck_showtableborders_gecko.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_address.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_blockquote.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_div.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_h1.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_h2.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_h3.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_h4.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_h5.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_h6.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_p.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/block_pre.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/fck_anchor.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/fck_flashlogo.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/fck_hiddenfield.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/fck_pagebreak.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/fck_plugin.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/css/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/fck_dialog_common.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/fck_dialog_common.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/fcknumericfield.htc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/images/locked.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/images/reset.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/images/unlocked.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/common/moz-bindings.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about/logo_fckeditor.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about/logo_fredck.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about/sponsors/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about/sponsors/spellchecker_net.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_about.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_anchor.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_button.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_checkbox.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_colorselector.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_div.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_docprops/fck_document_preview.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_docprops/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_docprops.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_flash/fck_flash.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_flash/fck_flash_preview.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_flash/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_flash.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_form.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_hiddenfield.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_image/fck_image.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_image/fck_image_preview.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_image/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_image.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_link/fck_link.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_link/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_link.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_listprop.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_paste.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_radiobutton.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_replace.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_scayt/scayt_dialog.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_select/fck_select.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_select/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_select.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_smiley.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_source.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_specialchar.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/blank.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controlWindow.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controls.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.cfm' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.pl' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellChecker.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellchecker.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellerStyle.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages/spellerpages/wordWindow.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_spellerpages.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_table.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_tablecell.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template/images/template1.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template/images/template2.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template/images/template3.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_template.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_textarea.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_textfield.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dialog/fck_scayt.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dtd/fck_dtd_test.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dtd/fck_xhtml10strict.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dtd/fck_xhtml10transitional.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/dtd/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/fckdebug.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/fckdialog.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/fckeditor.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/fckeditor.original.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/browser.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/browser.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/frmactualfolder.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/frmcreatefolder.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/frmfolders.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/frmresourceslist.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/frmresourcetype.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/frmupload.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/ButtonArrow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/Folder.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/Folder32.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/FolderOpened.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/FolderOpened32.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/FolderUp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/ai.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/avi.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/bmp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/cs.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/default.icon.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/dll.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/doc.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/exe.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/fla.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/gif.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/htm.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/html.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/jpg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/js.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/mdb.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/mp3.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/pdf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/png.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/ppt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/rdp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/swf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/swt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/txt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/vsd.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/xls.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/xml.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/32/zip.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/ai.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/avi.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/bmp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/cs.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/default.icon.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/dll.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/doc.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/exe.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/fla.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/gif.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/htm.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/html.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/jpg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/js.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/mdb.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/mp3.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/pdf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/png.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/ppt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/rdp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/swf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/swt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/txt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/vsd.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/xls.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/xml.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/icons/zip.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/images/spacer.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/js/common.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/js/fckxml.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/default/js/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/browser/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/basexml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/commands.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/connector.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/io.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/phpcompat.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/upload.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/php/util.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/test.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/connectors/uploadtest.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/filemanager/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/anchor.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/arrow_ltr.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/arrow_rtl.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/angel_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/angry_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/broken_heart.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/cake.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/confused_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/cry_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/devil_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/embaressed_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/envelope.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/heart.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/kiss.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/lightbulb.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/omg_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/regular_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/sad_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/shades_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/teeth_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/thumbs_down.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/thumbs_up.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/tounge_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/whatchutalkingabout_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/smiley/msn/wink_smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/images/spacer.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/js/fckadobeair.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/js/fckeditorcode_gecko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/js/fckeditorcode_ie.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/js/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/_translationstatus.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/af.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ar.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/bg.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/bn.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/bs.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ca.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/cs.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/da.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/de.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/el.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/en-au.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/en-ca.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/en-uk.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/en.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/eo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/es.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/et.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/eu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/fa.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/fi.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/fo.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/fr-ca.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/fr.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/gl.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/gu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/he.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/hi.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/hr.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/hu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/is.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/it.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ja.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/km.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ko.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/lt.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/lv.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/mn.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ms.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/nb.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/nl.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/no.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/pl.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/pt-br.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/pt.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ro.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/ru.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/sk.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/sl.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/sr-latn.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/sr.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/sv.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/th.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/tr.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/uk.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/vi.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/zh-cn.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/lang/zh.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/autogrow/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/autogrow/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode/_sample/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode/_sample/sample.config.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode/_sample/sample.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/bbcode/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/code.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/css/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/css/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/images/code.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/jscripts/functions.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/jscripts/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/langs/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/langs/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/templates/embed.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/templates/embed_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/templates/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/code/readme.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/dragresizetable/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/dragresizetable/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/config.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/css/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/css/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/images/mediagallery.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/jscripts/functions.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/jscripts/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/langs/english.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/langs/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/langs/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/mediagallery.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/readme.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/templates/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/templates/mb.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/templates/mb_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/mediagallery/templates/mb_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/fck_placeholder.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/de.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/en.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/es.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/fr.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/it.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/lang/pl.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/placeholder/placeholder.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/simplecommands/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/simplecommands/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/tablecommands/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/tablecommands/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/css/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/css/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/fckplugin.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/images/video.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/jscripts/functions.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/jscripts/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/langs/english.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/langs/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/readme.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/templates/embed.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/templates/embed_body.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/templates/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/plugins/video/video.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/_fckviewstrips.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/fck_dialog.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/fck_dialog_ie6.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/fck_editor.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/fck_strip.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/dialog.sides.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/dialog.sides.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/dialog.sides.rtl.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/sprites.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/sprites.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.arrowright.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.buttonarrow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.collapse.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.end.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.expand.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.separator.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/images/toolbar.start.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/default/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/fck_dialog.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/fck_dialog_ie6.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/fck_editor.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/fck_strip.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/dialog.sides.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/dialog.sides.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/dialog.sides.rtl.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/sprites.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/sprites.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.arrowright.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.bg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.buttonarrow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.collapse.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.end.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.expand.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.separator.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/images/toolbar.start.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/office2003/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/fck_dialog.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/fck_dialog_ie6.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/fck_editor.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/fck_strip.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/dialog.sides.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/dialog.sides.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/dialog.sides.rtl.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/sprites.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/sprites.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.arrowright.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.buttonarrow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.buttonbg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.collapse.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.end.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.expand.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.separator.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/images/toolbar.start.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/skins/silver/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/wsc/ciframe.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/wsc/tmpFrameset.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/editor/wsc/w.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckconfig.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckeditor.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckeditor_php4.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckeditor_php5.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckpackager.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fckstyles.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/fcktemplates.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/license.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/fckeditor/myconfig.js' ),
// plugin: filemgmt
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/brokenfile.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/downloadhistory.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/arrow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/counter.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/delete.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/down.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/download.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/filemgmt.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/filemgmt.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/home.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/newred.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/pop.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/screenshoticon.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/size.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/speck.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/up.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/images/update.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/ratefile.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/singlefile.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/submit.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/viewcat.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt/visit.php' ),
// filemgmt_data can move around, we need some more logic here
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/category_snaps/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/category_snaps/tmp/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/files/css.pdf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/files/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/files/tmp/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/snaps/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/filemgmt_data/snaps/tmp/index.html' ),
// plugin: forum
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/ajaxrate.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/ajaxbookmark.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/ajaxdelfile.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/bbcode.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/createtopic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/getattachment.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/gettopic.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/sigpreview.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/plus.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/minus.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/alert_warning.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/asc.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/asc_on.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/badges/badge1.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/badges/badge2.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/badges/forum_user.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/badges/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/badges/siteadmin_badge.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/busyforum.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/delete.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/desc.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/desc_on.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/document_sm.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/edit_button.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/email.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/email_button.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/forum.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/forumindex.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/gl_mootip_bg200.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/green_dot.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/home.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icon_minipost.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/notify_off.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/notify_on.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/rss_small.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/ai.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/bmp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/doc.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/exe.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/fic.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/gif.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/htm.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/jpg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/js.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/mdb.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/mov.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/mp3.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/mpp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/none.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/pdf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/php.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/png.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/ppt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/psd.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/rar.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/swf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/ttf.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/txt.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/vsd.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/xls.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/icons/zip.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/img_quote.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/latestposts.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/locked.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/locked_new.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/angelic.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/angry.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/artistic.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/awake.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/blah.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/blank.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/brainy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/caffeinated.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/cheerful.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/cold.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/confused.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/curious.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/determined.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/dirty.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/dizzy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/embarrassed.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/envious.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/excited.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/flirty.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/freakingout.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/full.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/giggly.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/gloomy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/groggy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/grossedout.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/grumpy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/happy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/hopeful.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/hot.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/hungry.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/hungry2.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/hyper.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/indescribable.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/indifferent.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/lazy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/loved.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/magical.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/mellow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/moody.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/musical.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/naughty.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/nerdy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/okay.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/rockin.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/sad.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/sick.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/silly.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/sleepy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/smart.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/sneezy.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/sore.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/spooky.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/stressed.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/stupid.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/surprised.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/thirsty.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/thoughtful.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/tired.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/unfocused.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/working.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/moods/worried.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/nav_breadcrumbs.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/nav_topic.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/newposts.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/noposts.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/padlock.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/pixel.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/pm.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/pm_button.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/post_newtopic.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/post_reply.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/profile_button.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/quietforum.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/quote_button.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank0.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank1.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank2.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank3.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank4.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank_admin.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/ranks/rank_mod.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/red_dot.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/arrow.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/biggrin.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/confused.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/cool.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/cry.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/eek.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/evil.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/exclaim.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/frown.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/idea.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/lol.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/mad.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/mrgreen.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/neutral.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/question.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/razz.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/redface.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/rolleyes.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/smile.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/surprised.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/twisted.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/smilies/wink.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/spacer.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/star_off_sm.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/star_on_sm.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/sticky.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/sticky_new.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/top.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/trash.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/images/website_button.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/ajax_rate.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/ajax_bookmark.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/ajax_deletefile.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/bbcode-signature.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/forum_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/createtopic.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/javascript/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/media/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/media/tn/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/memberlist.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/moderation.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/notify.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/print.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/userprefs.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/forum/viewtopic.php' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/getimage.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/advancedsearch.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/cceventsubmission.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/cclinksubmission.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/ccstorysubmission.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/ccusersubmission.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/submitevent.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/submitlink.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/help/submitstory.html' ),
// public images
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/articles/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/datepicker.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/File/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Flash/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/cache.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotator1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotator2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotator3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotator4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotatorblock1.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotatorblock2.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotatorblock3.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/moorotatorblock4.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/mootools.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/plugins.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/whatsnew.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Image/widgets.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/Media/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/library/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/menu/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/menu/menu_bg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/menu/menu_hover_bg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/menu/menu_parent.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/menu/vmenu_parent.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/openid_login_icon.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/right_arrow.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/speck.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/star_small.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/starrating.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/topics/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/topics/topic_gl.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/topics/topic_news.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/translations/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/translations/sprite-flags.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/userphotos/default.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/userphotos/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/images/working.gif' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/sitedown.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/advanced_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/bbcode.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/blocks_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/common.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/configmanager.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/fValidator.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/pwd_strength.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/resetrating.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moochronometer.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_mooie6warning.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moomenu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moopngfix.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_mooreflection.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moorotator-block.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moorotator.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moosimplebox.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_mooslide.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/gl_moospring.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/moorating.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/mootools/mootools-release-1.11.packed.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/moveusers.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/nogray_date_calendar_vs1_min.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/profile_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/sitetailor_ie6vertmenu.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/staticpages_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/storyeditor_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/submitcomment_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/submitcontactuser_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/submitmailuser_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/javascript/submitstory_fckeditor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/js.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/index.html' ),
// nouveau
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/README' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/errormessage.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/envcheck.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block/blockeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block/blockeditor_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block/defaultblockeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/block/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/common/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/common/edit_permissions.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/common/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config/config_element.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config/configuration.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/config/menu_element.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/group/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/group/groupeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/group/groupmembers.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/group/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/actionrow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/field.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/list.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/listitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/searchmenu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/lists/topmenu.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/mail/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/mail/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/mail/mailform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/mail/mailform_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation/ccitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation/ccrow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/moderation/moderation.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins/plugin_upload_confirm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins/plugin_upload_form.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/plugins/plugin_upload_old_confirm.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/story/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/story/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/story/storyeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/story/storyeditor_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/syndication/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/syndication/feededitor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/syndication/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/syndication/selecttype.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/topic/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/topic/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/topic/topiceditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/autodetectitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/autodetectlist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/pingbackform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/pingbackitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/pingbacklist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/pingform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/pingitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/pinglist.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/serviceeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/trackback/trackbackeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/batchadmin.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/batchadmin_options.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/edituser.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/groupedit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/accountpanel.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/adminuseredit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/contentpanel.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/grouppanel.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/layoutpanel.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/prefeditor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/privacypanel.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/admin/user/userinfopanel.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/adminoption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/adminoption_off.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/advanced_editor_header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/archivestorybodytext.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/archivestorytext.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/article/article.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/article/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/article/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/article/printable.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/bbcode/editor.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/bbcode/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockfooter-left.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockfooter-list.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockfooter-message.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockfooter-related.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockfooter-right.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockfooter.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockheader-left.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockheader-list.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockheader-message.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockheader-related.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockheader-right.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockheader.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/blockservices.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/comment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/commentbar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/commentform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/commentform_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/reportcomment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/startcomment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/comment/thread.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/digest.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/digest_story.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/digest_text.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/digest_story_text.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/fckstyles.xml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/featuredstorybodytext.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/featuredstorytext.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/footer.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/functions.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/header.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/htmlheader.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/ie6.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/ie7.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/accept.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/add.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/action.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/addchild.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/blank.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/check.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/copy.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/cross.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/delete.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/disk.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/edit.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/greycheck.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/group.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/list.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/mail.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/block-left.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/block-right.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/user.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/admin/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/addchild.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/alert-small.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/alert.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/arrow.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bar.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bararrowdown.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bararrowup.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bg_search.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/blank.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bottom-l-corner.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bottom-r-corner.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bug.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bullet-blue.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bullet-grey.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bullet-plus.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bullet-rss.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/bullet-star.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/button_help.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/cart.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/check.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/cms-glfusion.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/cms-glfusion.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/code.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/collapse.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/copy.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/deleteitem.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/disc.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/download.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/edit.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/expand.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/favicon.ico' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/gl_moomenu1-parent_ie6.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/gl_mooticker_controls.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/gl_mooticker_controls_ie6.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/gl_mootip_bg.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/gl_mootip_bg200.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/grabit.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/header-bg-afternoon.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/header-bg-dawn.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/header-bg-day.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/header-bg-dusk.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/header-bg-night.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/header-bg.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/headphones.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/help.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/home.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/block.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/configuration.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/ctl.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/database.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/docs.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/envcheck.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/event.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/filecheck.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/group.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/logout.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/logview.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/mail.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/moderation.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/plugins.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/story.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/syndication.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/topic.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/trackback.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/user.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/icons/versioncheck.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/idea.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/ie6_close.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/ie6_warning.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/info.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/joinus.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/list.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/location.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/lock.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/mail.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/mic.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/moosimplebox/bg.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/moosimplebox/close.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/moosimplebox/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/next.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/next_ie6.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/note.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-1.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-1g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-2.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-2g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-3.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-3g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-4.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-4g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-5.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-5g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-6.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-6g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-7.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-7g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-8.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-8g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-9.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/number-9g.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/online.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/pgpkey.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/prev.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/prev_ie6.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/print.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/quote-l.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/quote-r.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/readit.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/rss.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/rss_small.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/sayit.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/script.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/search.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/sendping.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/smallcamera.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/speaker.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/speck.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/sysmessage.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/tools.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/top-l-corner.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/top-r-corner.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/arrow_open.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/arrow_down.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/images/video.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/js/gltips.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/js/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/leftblocks.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/list.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/listitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/item_field.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/item_row.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/list.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/page_limit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/inline/page_sort.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/item_field.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/item_row.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/list.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/page_limit.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/lists/table/page_sort.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/loginform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/loginform_openid.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/logo-graphic.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/logo-text.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/menuitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/menuitem_last.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/menuitem_none.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/breadcrumb_link.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/breadcrumbs.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/images/tableftI.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/images/tableftJ.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/images/tabrightI.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/images/tabrightJ.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/menuitem.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/navbar/navbar.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/nouveau.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/boxesblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/commentblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/deleteaccount.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/digestblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/displayblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/displayprefs.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/excludeblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/language.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/privacyblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/profile.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/theme.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/username.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/preferences/userphoto.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/contactauthorform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/contactauthorform_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/contactuserform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/contactuserform_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/profiles/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/rightblocks.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/headingcolumn.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/resultauthdatehits.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/resultcolumn.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/resultrow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/resultrowenhanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/resultsummary.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/resulttitle.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchauthors.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchblock.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchresults.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchresults_heading.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchresults_norows.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/search/searchresults_rows.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/itemstatistics.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/singlestat.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/singlesummary.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/stats/sitestatistics.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/storybodytext.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/storytext.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/style-colors.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit/submitloginrequired.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit/submitstory.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/submit/submitstory_advanced.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/theme.ini' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/tn_nouveau.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/topcenterblock-span.thtmlx' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/topicoption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/topicoption_off.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback/formattedcomment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback/trackback.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/trackback/trackbackcomment.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/useroption.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/useroption_off.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/commentrow.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/custom/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/getpasswordform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/loginform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/newpassword.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/newtoken.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/profile.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/registrationform.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/services.thtml' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/layout/nouveau/users/storyrow.thtml' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/lib-common.php' ),
// plugin: links
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/links/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/links/images/links.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/links/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/links/portal.php' ),
// plugin: mediagallery
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/admin.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/album.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/album_rpc.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/batch.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/common.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/download.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/enroll.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/BBL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/BBR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/LLB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/LLT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/RRB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/RRT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/TTL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/TTR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/bamboo/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/book/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/BB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/BBL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/BBR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/BL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/BR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/LL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/LLB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/LLT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/RR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/RRB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/RRT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/TL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/TR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/TT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/TTL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/TTR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/brand/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/diapo/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/dotapple/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/flicking/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/BB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/BBL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/BBR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/BL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/BR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/LL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/LLB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/LLT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/RR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/RRB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/RRT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/TL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/TR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/TT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/TTL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/TTR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/gold2/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/BBL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/BBR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/TTL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/TTR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/kodak/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legored/pixel_trans.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoredsmall/pixel_trans.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellow/pixel_trans.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/legoyellowsmall/pixel_trans.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/notebook/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroid/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/polaroids/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/BB5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/BL5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/BR5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/LL5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/RR5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/ReadMe.txt' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/TL5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/TR5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/TT5.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/postage_due/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbook/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/BBL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/BBR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/LLB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/LLT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/RRB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/RRT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/TTL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/TTR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/scrapbookshadowsmall/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/BB.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/BBL.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/BR.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/RR.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/RRT.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/BB.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/BBL.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/BR.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/RR.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/RRT.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_light/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/BB.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/BBL.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/BR.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/RR.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/RRT.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shadow_lighter/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/BB.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/BL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/BR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/LL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/RR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/TL.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/TR.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/TT.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/shell/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/slide/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/BB.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/BL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/BR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/LL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/RR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/TL.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/TR.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/TT.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/frame.inc' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/frames/traintrack/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/fslideshow.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/gallery_remote2.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/getcard.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/SWFUploadButton.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/1_close.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/1_loading.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/1_next.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/1_prev.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/arrow-left.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/arrow-right.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/blank_blk.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/button_help.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/closelabel.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/digibug.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/feed.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/icon_envelopeSmall.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/icon_small_envelope.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/loading.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/mediagallery.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/mediagallery.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/nextlabel.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/powerby_mg-REVERSED.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/powerby_mg.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/powerby_mg.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/prevlabel.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/progress_bar.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/progress_bar_full.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/rotate_left_icon.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/rotate_right_icon.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/shutterfly.jpeg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/stamp.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/star_small.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/star_small.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/starrating.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/images/working.gif' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/admin_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/avdefaults_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/client_sniff.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/defaults_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/mediagallery.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/memberalbums_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/qtobject.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/slideshow.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/slimbox.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/js/swfobject.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/lightbox.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mad.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/media.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/media_popup.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/audio.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/covers/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/0/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/1/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/2/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/3/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/4/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/5/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/6/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/7/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/8/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/9/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/a/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/b/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/c/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/d/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/e/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/f/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/disp/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/empty.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/flash.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/flv.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/generic.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/googlevideo.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/missing.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/0/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/1/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/2/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/3/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/4/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/5/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/6/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/7/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/8/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/9/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/a/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/b/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/c/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/d/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/e/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/f/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/orig/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/pdf.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/quicktime.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/remote.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/0/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/1/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/2/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/3/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/4/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/5/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/6/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/7/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/8/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/9/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/a/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/b/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/c/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/d/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/e/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/f/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/tn/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/video.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/wmp.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/youtube.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mediaobjects/zip.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mgcss.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/mgjs.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/phpinfo.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/playall.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/FMP3.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/FlowPlayer.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/MGflv.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/MGmp3.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/XSPF_EV.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/XSPF_RadioV.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/audio-player.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/expressinstall.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/minislideshow.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/play.jpg' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/player.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/slideshow.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/players/sviewer.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/swfupload/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/swfupload/swfupload.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/swfupload/swfupload.swfobject.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/swfupload/swfupload.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/swfupload/swfupload.swf' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/popup.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/postcard.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/property.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/search.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/simpleviewer.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/slideshow.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/style.css' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/thumbnail.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/userprefs.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/video.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/watermarks/blank.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/watermarks/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/xml.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/mediagallery/xspf.php' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/pgp.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/pingback.php' ),
// plugin: pools
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/polls/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/polls/images/polls.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/polls/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/polls/polls_editor.js' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/polls/style.css' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/privpol.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/profiles.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/robots.txt.sample' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/search.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/siteconfig.php.dist' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/siteconfig.php' ),
// plugin: staticpages
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/staticpages/images/index.html' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/staticpages/images/staticpages.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/staticpages/images/delete.png' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/staticpages/index.php' ),
// public core files (cont'd)
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/stats.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/submit.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/switchlang.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/terms.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/trackback.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/users.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/usersettings.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/webservices/atom/index.php' ),
    array( 'test' => 'E', 'preq' => 'R', 'path' => 'public_html/webservices/index.html' ),
);
?>
